%define gecko_ver 1.9.0.2
%define desktop_file_utils_version 0.9
%define glib2_devel_ver 2.15.2
%define gtk2_devel_ver 2.12.0
%define scrollkeeper_ver 0.1.4
%define gnome_doc_utils_ver 0.3.2

Summary: GNOME web browser based on the Mozilla rendering engine
Name: epiphany
Version: 2.22.2
Release: 4%{?dist}
License: GPLv2+ and GFDL+
Group: Applications/Internet
URL: http://www.gnome.org/projects/epiphany/
Source0: http://download.gnome.org/sources/epiphany/2.22/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
Requires(post): scrollkeeper
Requires(post): desktop-file-utils >= %{desktop_file_utils_version}
Requires(post): GConf2
Requires(pre): GConf2
Requires(preun): GConf2
Requires(postun): scrollkeeper
Requires(postun): desktop-file-utils >= %{desktop_file_utils_version}
Requires: gecko-libs = %{gecko_ver}
Requires: gnome-icon-theme >= 1.0.6-1
Requires: iso-codes >= 0.45
BuildRequires: glib2-devel >= %{glib2_devel_ver}
BuildRequires: gtk2-devel >= %{gtk2_devel_ver}
BuildRequires: gecko-devel-unstable = %{gecko_ver} 
BuildRequires: scrollkeeper >= %{scrollkeeper_ver}
BuildRequires: libxml2-devel, libxslt-devel
BuildRequires: libgnomeui-devel, libglade2-devel
BuildRequires: GConf2-devel
BuildRequires: iso-codes-devel
BuildRequires: gnome-doc-utils >= %{gnome_doc_utils_ver}
BuildRequires: gnome-desktop-devel
BuildRequires: startup-notification-devel
BuildRequires: gettext-devel
BuildRequires: perl(XML::Parser)
BuildRequires: avahi-gobject-devel
%ifnarch s390 s390x
BuildRequires: NetworkManager-devel
%endif
BuildRequires: pygtk2-devel, gnome-python2-devel

# Patches
Patch0: epiphany-1.0.1-home-page.patch
Patch1: epiphany-2.17.3-use-pango.patch
Patch2: epiphany-2.18.1-default-bookmarks.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=334751
Patch3: epiphany-2.20.1-wrapped-plugins.patch
Patch4: build-fix.patch

%description
Epiphany is a simple GNOME web browser based on the Mozilla rendering
engine.

%package devel
Summary: The files needed for developing extensions for the epiphany web browser
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel >= %{glib2_devel_ver}
Requires: gtk2-devel >= %{gtk2_devel_ver}
Requires: gecko-devel = %{gecko_ver} 
Requires: scrollkeeper >= %{scrollkeeper_ver}
Requires: libxml2-devel, libxslt-devel
Requires: libgnomeui-devel, libglade2-devel
Requires: gnome-vfs2-devel, GConf2-devel
Requires: iso-codes-devel
Requires: gnome-doc-utils >= %{gnome_doc_utils_ver}
Requires: gnome-desktop-devel
Requires: startup-notification-devel
# We install a pc file
Requires: pkgconfig
# We install docs
Requires: gtk-doc
# We install python stuff
Requires: pygtk2-devel
# We install an automake macro
Requires: automake

%description devel
Epiphany is a web browser based on the Mozilla rendering engine.
This package allows you to develop extensions that work within epiphany.

Install epiphany-devel if you want to write extensions for epiphany.

%prep
%setup -q

%patch0 -p1 -b .homepage
%patch1 -p1 -b .use-pango
%patch2 -p1 -b .default-bookmarks
%patch3 -p1 -b .wrapped-plugins
%patch4 -p1 -b .build
# Fedora Epiphany version
cat >> data/default-prefs-common.js << EOF
pref("general.useragent.vendor", "Fedora");
pref("general.useragent.vendorSub", "%{version}-%{release}");
EOF

%build
# Build with -Os as it helps the browser; also, don't override mozilla's warning
# level; they use -Wall but disable a few warnings that show up _everywhere_
MOZ_OPT_FLAGS=$(echo $RPM_OPT_FLAGS | %{__sed} -e 's/-O2/-Os/' -e 's/-Wall//')

export RPM_OPT_FLAGS=$MOZ_OPT_FLAGS

%ifnarch s390 s390x
%define enable_nm --enable-network-manager
%endif
%configure \
	--with-gecko=libxul-embedding \
	--disable-scrollkeeper \
	--enable-zeroconf \
	--enable-python \
	%{enable_nm}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %{name} --with-gnome

# Remove the bookmarks editor menu item
rm -f $RPM_BUILD_ROOT/%{_datadir}/applications/bme.desktop

# Don't ship .la files
rm -f $RPM_BUILD_ROOT/%{_libdir}/epiphany/*/plugins/*.la

# Don't ship icon caches, either
rm -f $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/icon-theme.cache
rm -f $RPM_BUILD_ROOT/%{_datadir}/icons/HighContrastLargePrint/icon-theme.cache
rm -f $RPM_BUILD_ROOT/%{_datadir}/icons/HighContrastLargePrintInverse/icon-theme.cache

# LowContrastLargePrint seems to be obsolete, so remove it until further notice
rm -rf $RPM_BUILD_ROOT/%{_datadir}/icons/LowContrastLargePrint

%post
update-desktop-database -q %{_datadir}/applications
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/epiphany.schemas \
  %{_sysconfdir}/gconf/schemas/epiphany-fonts.schemas \
  %{_sysconfdir}/gconf/schemas/epiphany-pango.schemas \
  %{_sysconfdir}/gconf/schemas/epiphany-lockdown.schemas >& /dev/null || :
scrollkeeper-update -q
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/HighContrastLargePrint
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/HighContrastLargePrintInverse
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/epiphany.schemas \
      %{_sysconfdir}/gconf/schemas/epiphany-lockdown.schemas >& /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/epiphany.schemas \
      %{_sysconfdir}/gconf/schemas/epiphany-lockdown.schemas >& /dev/null || :
fi

%postun
update-desktop-database -q %{_datadir}/applications
scrollkeeper-update -q
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/HighContrastLargePrint
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/HighContrastLargePrintInverse
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README NEWS COPYING COPYING.README AUTHORS
%{_sysconfdir}/gconf/schemas/epiphany.schemas
%{_sysconfdir}/gconf/schemas/epiphany-lockdown.schemas
%{_sysconfdir}/gconf/schemas/epiphany-fonts.schemas
%{_sysconfdir}/gconf/schemas/epiphany-pango.schemas
%{_bindir}/epiphany
%{_libdir}/epiphany
%{_datadir}/applications/*.desktop
%{_datadir}/epiphany
%{_mandir}/man*/*
%{_datadir}/icons/hicolor/*/apps/gnome-web-browser.png
%{_datadir}/icons/hicolor/scalable/apps/gnome-web-browser.svg
%{_datadir}/icons/hicolor/48x48/apps/epiphany-bookmarks.png
%{_datadir}/icons/HighContrastLargePrint/48x48/apps/gnome-web-browser.png
%{_datadir}/icons/HighContrastLargePrintInverse/48x48/apps/gnome-web-browser.png
%{_datadir}/dbus-1/services/org.gnome.Epiphany.service

%files devel
%defattr(-, root, root)
%{_includedir}/epiphany/*
%{_libdir}/pkgconfig/epiphany*.pc
%{_datadir}/aclocal/epiphany.m4
%{_datadir}/gtk-doc/html/epiphany
%{_datadir}/pygtk/2.0/defs/epiphany.defs

%changelog
* Tue Sep 23 2008 Christopher Aillon <caillon@redhat.com> - 2.22.2-4
- Rebuild against newer gecko

* Wed Jul 16 2008 Christopher Aillon <caillon@redhat.com> - 2.22.2-3
- Rebuild against newer gecko

* Wed Jun 18 2008 Martin Stransky <stransky@redhat.com> - 2.22.2-2
- Rebuild against xulrunner

* Wed May 28 2008 Matthias Clasen <mclasen@redhat.com> - 2.22.2-1
- Update to 2.22.2

* Mon Apr  7 2008 Christopher Aillon <caillon@redhat.com> - 2.22.1.1-1
- Update to 2.22.1.1

* Thu Apr  3 2008 Christopher Aillon <caillon@redhat.com> - 2.22.0-4
- Update the Source URL

* Mon Mar 31 2008 Christopher Aillon <caillon@redhat.com> - 2.22.0-3
- Initialize plugins before we startup XPCOM, thanks to Bastien Nocera

* Tue Mar 18 2008 Christopher Aillon <caillon@redhat.com> - 2.22.0-2
- Update the homepage

* Mon Mar 10 2008 Christopher Aillon <caillon@redhat.com> - 2.22.0-1
- Update to 2.22.0

* Fri Mar  7 2008 Christopher Aillon <caillon@redhat.com> - 2.21.92-3
- Update the xulrunner patch and tweak the useragent

* Tue Feb 26 2008 Christopher Aillon <caillon@redhat.com> - 2.21.92-2
- Stop shipping LowContrastLargePrint icons

* Tue Feb 26 2008 Christopher Aillon <caillon@redhat.com> - 2.21.92-1
- Update to 2.21.92
- Update the xulrunner patch
- BR: avahi-gobject-devel
- Fix the file list

* Wed Feb  6 2008 Matthias Clasen <mclasen@redhat.com> - 2.21.90-2
- Fix some cosmetic packaging issues

* Tue Jan 29 2008 Matthias Clasen <mclasen@redhat.com> - 2.21.90-1
- Update to 2.21.90

* Sat Jan 12 2008 Christopher Aillon <caillon@redhat.com> - 2.21.5-0.1.svn7856
- Update to newer svn, and update the xulrunner 1.9 patch

* Wed Jan  2 2008 Christopher Aillon <caillon@redhat.com> - 2.21.5-0.1.svn7844
- Update to svn to build against xulrunner 1.9

* Mon Dec 17 2007 Christopher Aillon <caillon@redhat.com> - 2.21.4-1
- Update to 2.21.4

* Thu Nov 29 2007 Martin Stransky <stransky@redhat.com>
- Polished the wrapper patch

* Tue Nov 27 2007 Matthias Clasen <mclasen@redhat.com> - 2.20.2-1
- Update to 2.20.2
 
* Tue Nov 27 2007 Christopher Aillon <caillon@redhat.com> - 2.20.1-6
- Rebuild against newer gecko

* Mon Nov 19 2007 Martin Stransky <stransky@redhat.com> - 2.20.1-5
- Updated wrapper patch

* Sat Nov 10 2007 Matthias Clasen <mclasen@redhat.com> - 2.20.1-4
- Rebuild against newer gecko

* Tue Oct 23 2007  Matthias Clasen <mclasen@redhat.com> - 2.20.1-3
- Rebuild against new dbus-glib

* Tue Oct 16 2007 - Bastien Nocera <bnocera@redhat.com> - 2.20.1-2
- Add patch to allow epiphany to use the plugins wrapped by
  nspluginwrapper (#334751)

* Tue Oct 16 2007 Matthias Clasen <mclasen@redhat.com> - 2.20.1-1
- Update to 2.20.1

* Mon Oct 15 2007 Matthias Clasen <mclasen@redhat.com> - 2.20.0-2
- Fix network status monitoring with new NM (#332771)

* Mon Sep 17 2007 Matthias Clasen <mclasen@redhat.com> - 2.20.0-1
- Update to 2.20.0

* Tue Sep  4 2007 Matthias Clasen <mclasen@redhat.com> - 2.19.91-1
- Update to 2.19.91

* Fri Aug 24 2007 Adam Jackson <ajax@redhat.com> - 2.19.90-2
- Rebuild for build ID

* Mon Aug 13 2007 Matthias Clasen <mclasen@redhat.com> - 2.19.90-1
- Update to 2.19.90

* Wed Aug  8 2007 Christopher Aillon <caillon@redhat.com> - 2.19.6-3
- Rebuild against newer gecko

* Mon Aug  6 2007 Matthias Clasen <mclasen@redhat.com> - 2.19.6-2
- Update license field
- Use %%find_lang for help files, too

* Mon Jul 30 2007 Matthias Clasen <mclasen@redhat.com> - 2.19.6-1
- Update to 2.19.6

* Wed Jul 25 2007 Jesse Keating <jkeating@redhat.com> - 2.19.5-4
- Rebuild for RH #249435

* Mon Jul 23 2007 Matthias Clasen  <mclasen@redhat.com> - 2.19.5-3
- Port to new GTK+ tooltips API

* Fri Jul 20 2007 Kai Engert <kengert@redhat.com> - 2.19.5-2
- Rebuild against newer gecko

* Tue Jul 10 2007 Matthias Clasen <mclasen@redhat.com> 2.19.5-1
- Update to 2.19.5

* Fri May 25 2007 Christopher Aillon <caillon@redhat.com> 2.19.2-2
- Rebuild against newer gecko

* Mon May 21 2007 Matthias Clasen <mclasen@redhat.com> 2.19.2-1
- Update to 2.19.2

* Sun Apr 15 2007 Christopher Aillon <caillon@redhat.com> 2.18.1-2
- Use the system default bookmarks
- Remove no longer needed autotools BRs

* Tue Apr 10 2007 Christopher Aillon <caillon@redhat.com> 2.18.1-1
- Update to 2.18.1

* Fri Mar 23 2007 Christopher Aillon <caillon@redhat.com> 2.18.0-3
- Rebuild against newer gecko

* Fri Mar 16 2007 Bastien Nocera <bnocera@redhat.com> 2.18.0-2
- Have ephy pick up on the 64-bit plugins (#204547)

* Tue Feb 27 2007 Matthias Clasen <mclasen@redhat.com> 2.17.92-1
- Update to 2.17.92

* Tue Feb 13 2007 Matthias Clasen <mclasen@redhat.com> 2.17.91-1
- Update to 2.17.91

* Tue Jan 23 2007 Matthias Clasen <mclasen@redhat.com> 2.17.90-1
- Update to 2.17.90

* Thu Jan 11 2007 Matthias Clasen <mclasen@redhat.com> 2.17.5-1
- Update to 2.17.5

* Thu Dec 21 2006 Christopher Aillon <caillon@redhat.com> 2.17.4-2
- Rebuild against newer gecko

* Tue Dec 19 2006 Matthias Clasen <mclasen@redhat.com> - 2.17.4-1
- Update to 2.17.4

* Thu Dec  7 2006 Matthias Clasen <mclasen@redhat.com> - 2.17.3-3
- Fix Requires in -devel (#218863)

* Thu Dec  7 2006 Jeremy Katz <katzj@redhat.com> - 2.17.3-2
- rebuild for python 2.5

* Tue Dec  5 2006 Matthias Clasen <mclasen@redhat.com> - 2.17.3-1
- Update to 2.17.3

* Mon Nov  6 2006 Matthias Clasen <mclasen@redhat.com> - 2.17.2-1
- Update to 2.17.2

* Fri Oct 27 2006 Christopher Aillon <caillon@redhat.com> - 2.16.1-2
- Rebuild against newer gecko

* Sat Oct 21 2006 Matthias Clasen <mclasen@redhat.com> - 2.16.1-1
- Update to 2.16.1

* Thu Oct 12 2006 Christopher Aillon <caillon@redhat.com> - 2.16.0-4.fc6
- Remove console spew about pango; it's no longer relevant.

* Thu Oct 12 2006 Christopher Aillon <caillon@redhat.com> - 2.16.0-3.fc6
- Update requires to the virtual gecko version instead of a specific app

* Thu Sep 14 2006 Christopher Aillon <caillon@redhat.com> - 2.16.0-2.fc6
- Rebuild

* Sun Sep  3 2006 Matthias Clasen <mclasen@redhat.com> - 2.16.0-1.fc6
- Update to 2.16.0

* Wed Aug 30 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.92-3.fc6
- Install the fonts and pango schemas  (#204602)

* Tue Aug 29 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.92-2.fc6
- Use Pango by default
- Add a BR for perl-XML-Parser

* Mon Aug 21 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.92-1.fc6
- Update to 2.15.92

* Sun Aug 13 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.91-2.fc6
- Rebuild

* Sun Aug 13 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.91-1.fc6
- Update to 2.15.91

* Tue Aug  9 2006 Jesse Keating <jkeating@redhat.com> - 2.15.4-2
- bump

* Sat Jul 29 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.4-1
- Update to 2.15.4
- Rebuild against firefox-devel

* Tue Jul 18 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.1-2
- Go back to 2.15.1, since gecko 1.8 is still missing

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.15.2-1.1
- rebuild

* Wed May 17 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.2-1
- Update to 2.15.2

* Wed May 10 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.1-1
- Update to 2.15.1

* Thu May  4 2006 Dan Williams <dcbw@redhat.com> - 2.14.1-3
- Rebuild for a mozilla update

* Mon Apr 10 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.1-2
- Update to 2.14.1

* Sun Mar 12 2006 Ray Strode <rstrode@redhat.com> - 2.14.0-1
- Update to 2.14.0

* Mon Feb 27 2006 Matthias Clasen <mclasen@redhat.com> - 1.9.8-1
- Update to 1.9.8

* Mon Feb 13 2006 Christopher Aillon <caillon@redhat.com> - 1.9.7-1
- Update to 1.9.7

* Mon Feb 13 2006 Jesse Keating <jkeating@redhat.com> - 1.9.6-3.1
- rebump for build order issues during double-long bump

* Sat Feb 11 2006 Matthias Clasen <mclasen@redhat.com> - 1.9.6-3
- turn on zeroconf and NetworkManager support

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.9.6-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sun Feb  5 2006 Matthias Clasen <mclasen@redhat.com> 1.9.6-2
- Update requires

* Tue Jan 31 2006 Matthias Clasen <mclasen@redhat.com> 1.9.6-1
- Update to 1.9.6

* Fri Jan 20 2006 Matthias Clasen <mclasen@redhat.com> 1.9.5.1-1
- Update to 1.9.5.1

* Mon Jan  2 2006 Christopher Aillon <caillon@redhat.com> 1.9.4-1
- Update to 1.9.4

* Thu Dec 15 2005 Matthias Clasen <mclasen@redhat.com> 1.9.3.1-1
- Update to 1.9.3.1

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Dec  2 2005 Matthias Clasen <mclasen@redhat.com> - 1.9.2-1
- Update to 1.9.2
- Package plugins

* Tue Oct 18 2005 Christopher Aillon <caillon@redhat.com> - 1.8.2-3
- Build on ppc64

* Tue Oct 18 2005 Christopher Aillon <caillon@redhat.com> - 1.8.2-2
- Rebuild

* Thu Oct  6 2005 Christopher Aillon <caillon@redhat.com> - 1.8.2-1
- Update to 1.8.2

* Mon Sep  5 2005 Christopher Aillon <caillon@redhat.com> - 1.8.0-1
- Update to 1.8.0

* Mon Aug 29 2005 Christopher Aillon <caillon@redhat.com> - 1.7.6-1
- Update to 1.7.6

* Tue Aug 23 2005 Christopher Aillon <caillon@redhat.com> - 1.7.5-1
- Update to 1.7.5

* Mon Aug 15 2005 Christopher Aillon <caillon@redhat.com> - 1.7.4-2
- Rebuild

* Tue Aug  9 2005 Christopher Aillon <caillon@redhat.com> - 1.7.4-1
- Update to 1.7.4

* Sat Jul 30 2005 Christopher Aillon <caillon@redhat.com> - 1.7.3-2
- Rebuild against new mozilla

* Tue Jul 26 2005 Christopher Aillon <caillon@redhat.com> - 1.7.3-1
- Update to 1.7.3

* Tue Jul 19 2005 Christopher Aillon <caillon@redhat.com> - 1.7.2-2
- Rebuild against new mozilla

* Mon Jul 11 2005 Christopher Aillon <caillon@redhat.com> - 1.7.2-1
- Update to 1.7.2

* Tue Jul  5 2005 Christopher Aillon <caillon@redhat.com> - 1.7.1-3
- Add the packages needed for building against -devel to its Requires:
- Add builds for ia64 s390(x)

* Thu Jun 16 2005 Christopher Aillon <caillon@redhat.com> - 1.7.1-2
- Specfile cleanup
- Make the devel package depend on the main package

* Fri Jun 10 2005 Christopher Aillon <caillon@redhat.com> - 1.7.1-1
- Update to 1.7.1

* Fri May 13 2005 Christopher Aillon <caillon@redhat.com> - 1.6.3-1
- Update to 1.6.3

* Fri May 13 2005 Christopher Aillon <caillon@redhat.com> - 1.6.1-3
- Depend on mozilla 1.7.8

* Sat Apr 16 2005 Christopher Aillon <caillon@redhat.com> - 1.6.1-2
- Depend on mozilla 1.7.7

* Wed Apr  6 2005 Elliot Lee <sopwith@redhat.com> - 1.6.1-1
- Update to 1.6.1

* Wed Mar  9 2005 Christopher Aillon <caillon@redhat.com> - 1.5.8-3
- Depend on mozilla 1.7.6

* Sat Mar  5 2005 Christopher Aillon <caillon@redhat.com> - 1.5.8-2
- Rebuild

* Thu Mar  3 2005 Marco Pesenti Gritti <mpg@redhat.com> - 1.5.8-1
- Update to 1.5.8

* Mon Feb 28 2005 Matthias Clasen <mclasen@redhat.com> - 1.5.7-1
- Update to 1.5.7

* Wed Feb  9 2005 Matthias Clasen <mclasen@redhat.com> - 1.5.6-1
- Update to 1.5.6

* Wed Feb  2 2005 Matthias Clasen <mclasen@redhat.com> - 1.5.5-1
- Update to 1.5.5

* Mon Dec 20 2004 Marco Pesenti Gritti <mpg@redhat.com> - 1.4.7-2
- Add the manual to the package

* Mon Dec 20 2004 Marco Pesenti Gritti <mpg@redhat.com> - 1.4.7-1
- Update to 1.4.7

* Mon Dec 20 2004 Marco Pesenti Gritti <mpg@redhat.com> - 1.4.6-2
- Depend on mozilla 1.7.5

* Mon Dec 20 2004 Marco Pesenti Gritti <mpg@redhat.com> - 1.4.6-1
- Update to 1.4.6

* Tue Nov  9 2004 Marco Pesenti Gritti <mpg@redhat.com> - 1.4.4-6
- Add docs

* Thu Nov  4 2004 Marco Pesenti Gritti <mpg@redhat.com> - 1.4.4-5
- Update the desktop files database. Fix #135566

* Mon Oct 18 2004 Christopher Aillon <caillon@redhat.com> 1.4.4-4
- Put back ppc

* Tue Oct 12 2004 Marco Pesenti Gritti <mpg@redhat.com> - 1.4.4-3
- Remove generic name patch, epiphany is no more default

* Tue Oct 12 2004 Marco Pesenti Gritti <mpg@redhat.com> - 1.4.4-2
- Disable direct handling of downloads by external applications

* Mon Oct 11 2004 Marco Pesenti Gritti <mpg@redhat.com> - 1.4.4-1
- Add a devel package for extensions development

* Mon Oct 11 2004 Marco Pesenti Gritti <mpg@redhat.com> - 1.4.4-0
- Update to 1.4.4

* Sun Oct 07 2004 Marco Pesenti Gritti <mpg@redhat.com> - 1.4.3-0
- Remove mozilla 1.7.3 compatibility patch
- Do not disable the nautilus view, it has been removed upstream
 
* Sun Sep 26 2004 Christopher Blizzard <blizzard@redhat.com> - 1.4.0-0.3.6
- Don't require a specific mozilla rpm release, only the version

* Fri Sep 24 2004 Christopher Blizzard <blizzard@redhat.com> - 1.4.0-0.3.5
- Change .desktop file name to "Web Browser" instead of "Epiphany..."

* Fri Sep 24 2004 Christopher Blizzard <blizzard@redhat.com> - 1.4.0-0.3.4
- Include epiphany's default .desktop file - don't remove it.

* Fri Sep 24 2004 Christopher Blizzard <blizzard@redhat.com> - 1.4.0-0.3.3
- Make sure to include the epoch for the mozilla version.

* Fri Sep 24 2004 Christopher Blizzard <blizzard@redhat.com> - 1.4.0-0.3.2
- Add patch to get this epiphany building with moz 1.7.3.

* Fri Sep 24 2004 Christopher Blizzard <blizzard@redhat.com> - 1.4.0-0.3.1
- Don't query for the mozilla version, use an explicit version number

* Fri Sep 24 2004 Christopher Blizzard <blizzard@redhat.com> - 1.4.0-0.3.0
- Update to 1.4.0

* Fri Sep 24 2004 Mark McLoughlin <markmc@redhat.com> - 1.3.8-0.3.3
- Remove the bookmarks editor from the menu (bug #132549)

* Wed Sep 22 2004 Christopher Aillon <caillon@redhat.com> 1.3.8-0.3.2
- Rebuilt to pick up new mozilla changes
- Drop ppc from the build since mozilla doesn't build there anymore.

* Fri Sep 03 2004 Christopher Blizzard <blizzard@redhat.com>
- Bump release and rebuild.

* Wed Sep 01 2004 Christopher Blizzard <blizzard@redht.com>
- Update to 1.3.8

* Tue Aug 17 2004 Christopher Blizzard <blizzard@redhat.com>
- Update to 1.3.5.
- Remove epiphany-bin - it's not there anymore.
- Change to .bz2 source tarball.

* Mon Aug 09 2004 Christopher Aillon <caillon@redhat.com>
- Rebuild

* Tue Aug 03 2004 Christopher Blizzard <blizzard@redhat.com>
- Update to 1.2.7
- Disable nautilus view since it's broken

* Wed Jun 23 2004 Christopher Blizzard <blizzard@redhat.com>
- Update to 1.2.6

* Tue Jun 22 2004 Christopher Blizzard <blizzard@redhat.com>
- Update to 1.2.5

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed May 05 2004 Warren Togami <wtogami@redhat.com> - 1.2.4-1
- update to 1.2.4 stable

* Wed Mar 10 2004 Christopher Blizzard <blizzard@redhat.com> - 1.1.12-0
- Update to 1.1.12
- remove jrb patch for file chooser api changes since it appears
  to have been merged upstream

* Fri Mar  5 2004 Jeremy Katz <katzj@redhat.com> - 1.1.10-2
- rebuild

* Thu Mar  4 2004 Jeremy Katz <katzj@redhat.com> - 1.1.10-1
- 1.1.10
- add patch from jrb for file-chooser api changes

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun Feb 22 2004 Jeremy Katz <katzj@redhat.com> 1.1.9-1
- update to 1.1.9
- reenable nautilus view

* Thu Feb 19 2004 Christopher Blizzard <blizzard@redhat.com> 1.0.7-3
- disable the nautilus view.  doesn't seem to work anymore.

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 20 2004 Jeremy Katz <katzj@redhat.com> 1.0.7-1
- 1.0.7

* Tue Dec 02 2003 Christopher Blizzard <blizzard@redhat.com> 1.0.4-3
- Add a BuildRequires for nautilus so that the view is built properly.

* Mon Oct 27 2003 Jakub Jelinek <jakub@redhat.com> 1.0.4-2
- link epiphany-bin with -Wl,-rpath,/usr/lib/mozilla-1.4.1,--enable-new-dtags
  to make it prelinkable

* Fri Oct 24 2003 Jeremy Katz <katzj@redhat.com> 1.0.4-1
- 1.0.4

* Fri Oct 24 2003 Christopher Blizzard <blizzard@redhat.com> 1.0.1-3
- Enable the nautilus view

* Fri Oct 10 2003 Christopher Blizzard <blizzard@redhat.com> 1.0.1-2
- Add patch to set the home page to the release notes

* Mon Oct  6 2003 Jeremy Katz <katzj@redhat.com> 1.0.1-1
- 1.0.1

* Fri Sep 26 2003 Chris Blizzard <blizzard@redhat.com> 1.0-2
- Updates for Mozilla 1.4.1

* Tue Sep  9 2003 Jeremy Katz <katzj@redhat.com> 1.0-1
- 1.0

* Wed Sep  3 2003 Jeremy Katz <katzj@redhat.com> 0.9.3-1
- 0.9.3

* Mon Aug 25 2003 Jeremy Katz <katzj@redhat.com> 0.9.2-1
- 0.9.2

* Mon Aug 11 2003 Jeremy Katz <katzj@redhat.com> 0.8.4-1
- 0.8.4

* Sun Aug 10 2003 Jeremy Katz <katzj@redhat.com> 0.8.3-1
- 0.8.3

* Sun Aug  3 2003 Jeremy Katz <katzj@redhat.com> 0.8.2-1
- 0.8.2

* Fri Jul 25 2003 Christopher Blizzard <blizzard@redhat.com> 0.8.0-2
- Add ppc to the list of arches.

* Tue Jul 15 2003 Matt Wilson <msw@redhat.com> 0.8.0-1
- 0.8.0

* Fri Jul 11 2003 Christopher Blizzard <blizzard@redhat.com> 0.7.3-3
- be sure to include the mozilla rpm in the build deps since it's
  queried

* Tue Jul 01 2003 Elliot Lee <sopwith@redhat.com> 0.7.3-2
- Fix mozilla dep for new epoch

* Sun Jun 29 2003 Jeremy Katz <katzj@redhat.com> 0.7.3-1
- 0.7.3

* Sat Jun 28 2003 Jeremy Katz <katzj@redhat.com> 0.7.2-1
- update to 0.7.2

* Sun Jun  8 2003 Jeremy Katz <katzj@redhat.com> 0.7.0-4
- fix crash on startup in egg-menu-merge on x86_64

* Sat Jun  7 2003 Jeremy Katz <katzj@redhat.com> 0.7.0-3
- fix build on x86_64

* Sat Jun  7 2003 Jeremy Katz <katzj@redhat.com> 0.7.0-2
- fix build with gcc 3.3

* Sat Jun  7 2003 Jeremy Katz <katzj@redhat.com> 0.7.0-1
- update to 0.7.0

* Mon Jun  2 2003 Elliot Lee <sopwith@redhat.com> 0.6.1-2
- Rebuild to fix broken mozilla dep, patch for mozilla 1.4

* Mon May 19 2003 Jeremy Katz <katzj@redhat.com> 0.6.1-1
- 0.6.1

* Fri May  9 2003 Jeremy Katz <katzj@redhat.com> 0.6.0-4
- add patch to fix gint/gpointer conversion bugs for 64bit arches

* Fri May  9 2003 Jeremy Katz <katzj@redhat.com> 0.6.0-3
- only build on arches mozilla is built on

* Fri May  9 2003 Jeremy Katz <katzj@redhat.com> 0.6.0-2
- rebuild against new mozilla, make mozilla requires dynamic

* Sun May  4 2003 Jeremy Katz <katzj@redhat.com> 0.6.0-1
- update to 0.6.0
- fix tyop in %%postun

* Wed Apr 16 2003 Bill Nottingham <notting@redhat.com> 0.5.0-3
- make it build with mozilla-1.4 (shouldn't affect moz-1.2/moz-1.3 builds)

* Mon Apr 14 2003 Jeremy Katz <katzj@redhat.com> 0.5.0-2
- add some buildrequires, prereq GConf2
- disable building nautilus view

* Sun Apr 13 2003 Jeremy Katz <katzj@redhat.com> 
- Initial build.


